# norootforbuild

%define major      2
%define lib        libfaad
%define libname    %{lib}%{major}

%bcond_without xmms
%bcond_without mpeg4ip

Name:           faad2
Version:        2.7
Release:        18.13
Summary:        C library and frontend for decoding MPEG2/4 AAC
Summary(de):    C Bibliothek und Frontend zum Decodieren von MPEG2/4 AAC
License:        GPL v2 or later
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.audiocoding.com/
Source0:        http://downloads.sourceforge.net/project/faac/faad2-src/faad2-%{version}/faad2-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}
Requires:       %{libname} = %{version}-%{release}
%if %{with mpeg4ip}
BuildRequires:  libmp4v2-devel
%endif
BuildRequires:  glibc-devel
BuildRequires:  libogg-devel
%if %{with xmms}
BuildRequires:  xmms-devel
%endif
BuildRequires:  id3lib-devel
BuildRequires:  gcc-c++
BuildRequires:  SDL-devel
#Obsoletes:      faad2-drm
#Provides:       faad2-drm

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.

%description -l de
FAAD 2 ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Decoder.


%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of faad2
Summary(de):    Bibliotheken zu faad2
Provides:       %{lib} = %{version}-%{release}
Provides:       libfaad2_2 = %{version}-%{release}
Obsoletes:      libfaad2_2 < %{version}-%{release}
Provides:       libfaad-2 = %{version}-%{release}
Obsoletes:      libfaad-2 < %{version}-%{release}

%description -n %{libname}
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.
The shared library part of faad2

%description -n %{libname} -l de
FAAD 2 ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Decoder.
Die Bibliotheken zu faad2

%package -n %{lib}-devel
Summary:        Development files of the FAAD 2 AAC decoder
Summary(de):    Entwicklerdateien des FAAD 2 AAC Dekoders
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
%if %{with mpeg4ip}
Requires:       libmp4v2-devel
%endif
Obsoletes:      libfaad2-devel < %{version}-%{release}
Provides:       libfaad2-devel = %{version}-%{release}
Obsoletes:      faad2-devel < %{version}-%{release}
Provides:       faad2-devel = %{version}-%{release}
Obsoletes:      faad2-drm-devel < %{version}-%{release}
Provides:       faad2-drm-devel = %{version}-%{release}

%description -n %{lib}-devel
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.
Header files and development documentation for libfaad.

%description -n %{lib}-devel -l de
FAAD 2 ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Decoder.
Header-Dateien und Entwicklerdokumtation zur libfaad.


%if %{with xmms}
%package -n xmms-faad2
Summary:        Xmms faad2 input plugin
Summary(de):    Xmms faad2 Eingabeplugin
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{libname} = %{version}-%{release}
Requires:       xmms >= 1.2.8
Obsoletes:      faad2-xmms-plugin < %{version}-%{release}
Provides:       faad2-xmms-plugin = %{version}-%{release}

%description -n xmms-faad2
The plugin read aac files with and without ID3tag(version 2.x), AAC files
are MPEG2 or MPEG4 files that could be found in MPEG4 audio files (.mp4).

%description -l de -n xmms-faad2
Das plugin für xmms liest AAC Dateien mit und ohne ID3-Tags (version 2.x).
AAC Dateien sind MPEG2 oder MPEG4 Dateien, sie finden Verwendung in MPEG4
Audodateien (.mp4).
%endif

%prep
%setup -qn faad2-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing"
%{__mkdir_p} plugins/bmp
autoreconf -vif
%if 0%{?suse_version}
%suse_update_libdir plugins/xmms/src/Makefile.am
%endif
%configure \
%if %{with xmms}
	--with-xmms \
%endif
	--with-pic \
	--enable-shared \
	--disable-static
%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}
%{__make} DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{_libdir}/*.a
%{__install} -m 644 common/mp4ff/mp4ff.h %{buildroot}%{_includedir}/
%{__install} -m 644 common/mp4ff/mp4ff_int_types.h %{buildroot}%{_includedir}/

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/manm

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfaad.so.%{major}*

%files -n %{lib}-devel
%defattr(-, root, root)
%{_libdir}/*.*a
%{_libdir}/*.so
%{_includedir}/*

%if %{with xmms}
%files -n xmms-faad2
%defattr(-, root, root)
%doc plugins/xmms/README
%{_libdir}/xmms/Input/libmp4*
%endif

%changelog
* Wed May 05 2010 Carsten Schoene <cs@linux-administrator.com> - 2.7-3
- EL5 import

